<?php
require "autoloader.php";
require __DIR__."/../vendor/autoload.php";
require __DIR__."/../vendor/zeedhi/framework/bootstrap.php";
//require __DIR__."/../vendor/teknisa/libraries/scripts/bootstrap.php";

$routes = array();
//$routes[] = __DIR__.'/../config/dataSourcesMapping.json';
$routes[] = __DIR__.'/../routes.json';


// Load specified services and parameters
$instanceManager = \Zeedhi\Framework\DependencyInjection\InstanceManager::getInstance();
$instanceManager->loadFromFile('../services.xml');
$instanceManager->loadFromFile('../environment.xml');
$instanceManager->loadFromFile('../config.xml');
$instanceManager->registerService('routeParser', new \Zeedhi\Framework\Routing\Parsers\JSONFormat($routes));

$container = $instanceManager->getContainer();
$connParams = $container->getParameter('connection_params');
$headers = getallheaders();
$connParams['user'] = $headers['dbuser']?? $connParams['user'];
$connParams['password'] = $headers['dbpass']?? $connParams['password'];
$connParams['host'] = $headers['dbhost']?? $connParams['host'];
$connParams['port'] = $headers['dbport']?? $connParams['port'];
$connParams['dbname'] = $headers['dbname']?? $connParams['dbname'];
$container->setParameter('connection_params', $connParams);

$instanceManager->compile(); 
