<?php

namespace Service;

use Zeedhi\Framework\DTO\Response\Message;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\ORM\DateTime;
use Doctrine\ORM\EntityManager;
use Teknisa\Libs\Util\DateUtil;
use Teknisa\Libs\Util\Environment;
use Teknisa\Model\Financeiro\Entities\Contareceber;
use Teknisa\Model\Financeiro\Entities\Contapagar;
use Teknisa\Model\Fiscal\Entities\Notafiscal;
use Util\NewCode;

use Zeedhi\Framework\DB\StoredProcedure\Param;
use Zeedhi\Framework\DB\StoredProcedure\StoredProcedure;

class ErpService extends \Zeedhi\Framework\Controller\Simple {

    protected $connection;
    protected $entityManager;
    protected $newCode;
    protected $contabilizacaoService;
    
    public function __construct(
                \Doctrine\ORM\EntityManager $entityManager,
                \Factory\ErpFactory $erpFactory,
                NewCode $newCode,
                \Service\ContabilizacaoService $contabilizacaoService
    ){

        $this->connection = $entityManager->getConnection();
        $this->entityManager = $entityManager;
        $this->erpFactory = $erpFactory;
        $this->newCode = $newCode;
        $this->contabilizacaoService = $contabilizacaoService;
    }
    


}
