<?php

namespace Controller;

use Zeedhi\Framework\DTO\Response\Message;
use Zeedhi\Framework\DTO\Response\Error;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DataSource\FilterCriteria;
use Exception;
use Teknisa\Libs\Util\DateUtil;






class ErpController extends \Zeedhi\Framework\Controller\Simple {

    protected $erpController;
    protected $crudService;
    
    public function __construct(\Service\ErpService $erpService, $crudService) {
        $this->erpService = $erpService;
        $this->crudService = $crudService;
    }
	
	public function posicaoEstoque(Request $request, Response $response){
		try {
			if(empty($_POST)){
				$input = file_get_contents('php://input');
				$requestData = json_decode($input, true); 
			}else{
				$requestData = $_POST;
			}
			 
			$conditions =  array();
			$parameterBagColumns = [];
			
            $filterCriteria = new FilterCriteria('posicao_estoque', $conditions);
            $filterCriteria->setDataSourceName('posicao_estoque');
            
            if($requestData){
	            foreach($requestData as $condition => $value){
	            	$filterCriteria->addCondition($condition, $value);
	            	array_push($parameterBagColumns, $condition);
	            }
            }
            //$populatedFilterCriteria = $this->crudService->getPopulatedFilterCriteria($filterCriteria, $parameterBagColumns);
            $newResponse = new DTO\Response;

            $this->crudService->find($response, $filterCriteria);

		/*	//endereço correto da url depende do dns e redirecionamentos configurados.
			$url = 'http://Iintegracaoerp.apetit.com.br/erpservices/backend/service/index.php/lancaContaPagar';
		 	curl_setopt($curl, CURLOPT_URL, $url);
		 	curl_setopt($curl, CURLOPT_CUSTOMREQUEST, 'POST');
		 	curl_setopt($curl, CURLOPT_HTTPHEADER, array());
		 	curl_setopt($curl, CURLOPT_POSTFIELDS, $data);
		 	curl_setopt($curl, CURLOPT_HTTP_VERSION, CURL_HTTP_VERSION_1_1);
		 	curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);
		 	curl_setopt($curl, CURLOPT_TIMEOUT, 30);
		 
			// Executes the webservice.
		 	$curl_response = curl_exec($curl);
		 	$curl_response = json_decode($curl_response);
		 	$curl_response = json_encode($curl_response, JSON_PRETTY_PRINT);
		 	curl_close($curl);*/
			//$curl_response = true;
			
			
		} catch (\Exception $e) {
            $response->setError(new Response\Error($e->getMessage(), $e->getCode()));
        }
	}

}

	


